## r-cran-dbitest 1.5

=== DESCRIPTION ===
Package: DBItest
Title: Testing 'DBI' Back Ends
Version: 1.5-2
Date: 2018-01-26
Authors@R: c(
      person(given = "Kirill", family = "Müller", role = c("aut", "cre"), email = "krlmlr+r@mailbox.org"),
      person("RStudio", role = "cph"),
      person("R Consortium", role = "fnd")
    )
Description: A helper that tests 'DBI' back ends for conformity
    to the interface.
Depends: R (>= 3.0.0)
Imports: blob, DBI (>= 0.4-9), desc, hms, methods, R6, testthat (>=
        1.0.2), withr
Suggests: knitr, lintr, rmarkdown
License: LGPL (>= 2)
LazyData: true
Encoding: UTF-8
BugReports: https://github.com/rstats-db/DBItest/issues
RoxygenNote: 6.0.1
VignetteBuilder: knitr
Collate: 'DBItest.R' 'context.R' 'expectations.R' 'import-dbi.R'
        'import-testthat.R' 'run.R' 's4.R' 'spec.R'
        'spec-getting-started.R' 'spec-compliance-methods.R'
        'spec-driver-constructor.R' 'spec-driver-class.R'
        'spec-driver-data-type.R' 'spec-connection-data-type.R'
        'spec-result-create-table-with-data-type.R'
        'spec-driver-connect.R' 'spec-connection-disconnect.R'
        'spec-result-send-query.R' 'spec-result-fetch.R'
        'spec-result-roundtrip.R' 'spec-result-clear-result.R'
        'spec-result-get-query.R' 'spec-result-send-statement.R'
        'spec-result-execute.R' 'spec-sql-quote-string.R'
        'spec-sql-quote-identifier.R' 'spec-sql-read-table.R'
        'spec-sql-write-table.R' 'spec-sql-list-tables.R'
        'spec-sql-exists-table.R' 'spec-sql-remove-table.R'
        'spec-meta-bind-runner.R' 'spec-meta-bind-tester-extra.R'
        'spec-meta-bind.R' 'spec-meta-bind-.R' 'spec-meta-is-valid.R'
        'spec-meta-has-completed.R' 'spec-meta-get-statement.R'
        'spec-meta-get-row-count.R' 'spec-meta-get-rows-affected.R'
        'spec-transaction-begin-commit-rollback.R'
        'spec-transaction-with-transaction.R' 'spec-driver-get-info.R'
        'spec-connection-get-info.R' 'spec-sql-list-fields.R'
        'spec-meta-column-info.R' 'spec-meta-get-info-result.R'
        'spec-driver.R' 'spec-connection.R' 'spec-result.R'
        'spec-sql.R' 'spec-meta.R' 'spec-transaction.R'
        'spec-compliance.R' 'spec-stress-connection.R' 'spec-stress.R'
        'spec-all.R' 'spec-.R' 'test-all.R' 'test-getting-started.R'
        'test-driver.R' 'test-connection.R' 'test-result.R'
        'test-sql.R' 'test-meta.R' 'test-transaction.R'
        'test-compliance.R' 'test-stress.R' 'tweaks.R' 'utf8.R'
        'utils.R'
NeedsCompilation: no
Packaged: 2018-01-25 19:46:48 UTC; muelleki
Author: Kirill Müller [aut, cre],
  RStudio [cph],
  R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2018-01-25 19:54:58 UTC

## r-cran-dbitest 1.4

=== debian/changelog ===
r-cran-dbitest (1.4-1) unstable; urgency=medium

  * Initial release (closes: #846967)

 -- Andreas Tille <tille@debian.org>  Sun, 04 Dec 2016 20:08:23 +0100

=== debian/control ===
Source: r-cran-dbitest
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-dbi (>= 0.4-9),
               r-cran-r6,
               r-cran-testthat (>= 1.0.2),
               r-cran-withr
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-dbitest/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-dbitest/trunk/
Homepage: https://cran.r-project.org/package=DBItest

Package: r-cran-dbitest
Architecture: all
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R testing 'DBI' back ends
 This package provides a helper that tests 'DBI' back ends for conformity
 to the GNU R interface.

## r-cran-dbitest 1.5-2

=== debian/changelog ===
r-cran-dbitest (1.5-2-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 03 Jun 2018 17:17:52 +0200

r-cran-dbitest (1.5-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 11:24:49 +0100

r-cran-dbitest (1.5-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * New Build-Depends: r-cran-blob, r-cran-desc, r-cran-hms

 -- Andreas Tille <tille@debian.org>  Mon, 02 Oct 2017 18:51:15 +0200

=== debian/control ===
Source: r-cran-dbitest
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-blob,
               r-cran-dbi (>= 0.4-9),
               r-cran-desc,
               r-cran-hms,
               r-cran-r6,
               r-cran-testthat (>= 1.0.2),
               r-cran-withr
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
Homepage: https://cran.r-project.org/package=DBItest

Package: r-cran-dbitest
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R testing 'DBI' back ends
 This package provides a helper that tests 'DBI' back ends for conformity
 to the GNU R interface.

## r-cran-dbitest 1.7.0

=== debian/changelog ===
r-cran-dbitest (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 30 Dec 2019 22:45:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-blob,
-               r-cran-dbi (>= 0.4-9),
+               r-cran-blob (>= 1.2.0),
+               r-cran-callr,
+               r-cran-dbi (>= 1.1.0),
                r-cran-desc,
-               r-cran-hms,
+               r-cran-hms (>= 0.5.0),
+               r-cran-lubridate,
                r-cran-r6,
-               r-cran-testthat (>= 1.0.2),
+               r-cran-rlang,
+               r-cran-testthat (>= 2.0.0),
                r-cran-withr
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
 Homepage: https://cran.r-project.org/package=DBItest

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/DBItest_([-\d.]*)\.tar\.gz

## r-cran-dbitest 1.7.2

=== DESCRIPTION ===
Package: DBItest
Title: Testing DBI Backends
Version: 1.7.2
Date: 2021-12-17
Authors@R: 
    c(person(given = "Kirill",
             family = "M\u00fcller",
             role = c("aut", "cre"),
             email = "krlmlr+r@mailbox.org",
             comment = c(ORCID = "0000-0002-1416-3412")),
      person(given = "RStudio",
             role = "cph"),
      person(given = "R Consortium",
             role = "fnd"))
Description: A helper that tests DBI back ends for conformity
    to the interface.
License: LGPL (>= 2.1)
URL: https://dbitest.r-dbi.org, https://github.com/r-dbi/DBItest
BugReports: https://github.com/r-dbi/DBItest/issues
Depends: R (>= 3.2.0)
Imports: blob (>= 1.2.0), callr, DBI (>= 1.1.1), desc, hms (>= 0.5.0),
        lubridate, methods, palmerpenguins, R6, rlang (>= 0.2.0),
        testthat (>= 2.0.0), utils, withr, vctrs
Suggests: clipr, dblog (>= 0.0.0.9008), debugme, devtools, knitr,
        lintr, rmarkdown, RSQLite
VignetteBuilder: knitr
Additional_repositories: https://r-dbi.r-universe.dev
Encoding: UTF-8
KeepSource: true
RoxygenNote: 7.1.2
Collate: 'DBItest.R' 'context.R' 'expectations.R' 'import-dbi.R'
        'import-testthat.R' 'run.R' 's4.R' 'spec-getting-started.R'
        'spec-compliance-methods.R' 'spec-driver-constructor.R'
        'spec-driver-data-type.R' 'spec-connection-data-type.R'
        'spec-result-create-table-with-data-type.R'
        'spec-driver-connect.R' 'spec-connection-disconnect.R'
        'spec-result-send-query.R' 'spec-result-fetch.R'
        'spec-result-roundtrip.R' 'spec-result-clear-result.R'
        'spec-result-get-query.R' 'spec-result-send-statement.R'
        'spec-result-execute.R' 'spec-sql-quote-string.R'
        'spec-sql-quote-literal.R' 'spec-sql-quote-identifier.R'
        'spec-sql-unquote-identifier.R' 'spec-sql-read-table.R'
        'spec-sql-create-table.R' 'spec-sql-append-table.R'
        'spec-sql-write-table.R' 'spec-sql-list-tables.R'
        'spec-sql-exists-table.R' 'spec-sql-remove-table.R'
        'spec-sql-list-objects.R' 'spec-meta-bind-runner.R'
        'spec-meta-bind-tester-extra.R' 'spec-meta-bind.R'
        'spec-meta-bind-.R' 'spec-meta-is-valid.R'
        'spec-meta-has-completed.R' 'spec-meta-get-statement.R'
        'spec-meta-get-row-count.R' 'spec-meta-get-rows-affected.R'
        'spec-transaction-begin-commit-rollback.R'
        'spec-transaction-with-transaction.R' 'spec-driver-get-info.R'
        'spec-connection-get-info.R' 'spec-sql-list-fields.R'
        'spec-meta-column-info.R' 'spec-meta-get-info-result.R'
        'spec-driver.R' 'spec-connection.R' 'spec-result.R'
        'spec-sql.R' 'spec-meta.R' 'spec-transaction.R'
        'spec-compliance.R' 'spec-stress-connection.R' 'spec-stress.R'
        'spec-all.R' 'spec-.R' 'test-all.R' 'test-getting-started.R'
        'test-driver.R' 'test-connection.R' 'test-result.R'
        'test-sql.R' 'test-meta.R' 'test-transaction.R'
        'test-compliance.R' 'test-stress.R' 'tweaks.R' 'utf8.R'
        'utils.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2021-12-17 09:16:15 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph],
  R Consortium [fnd]
Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
Repository: CRAN
Date/Publication: 2021-12-17 09:42:13 UTC

=== debian/changelog ===
r-cran-dbitest (1.7.2-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Dec 2021 22:32:46 +0100

r-cran-dbitest (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-blob, r-cran-hms and
      r-cran-testthat.

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 21:36:03 +0200

r-cran-dbitest (1.7.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 11:01:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-blob (>= 1.2.0),
                r-cran-callr,
-               r-cran-dbi (>= 1.1.0),
+               r-cran-dbi (>= 1.1.1),
                r-cran-desc,
                r-cran-hms (>= 0.5.0),
                r-cran-lubridate,
+               r-cran-palmerpenguins,
                r-cran-r6,
                r-cran-rlang,
-               r-cran-testthat (>= 2.0.0),
-               r-cran-withr
-Standards-Version: 4.4.1
+               r-cran-testthat,
+               r-cran-withr,
+               r-cran-vctrs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
 Homepage: https://cran.r-project.org/package=DBItest
+Rules-Requires-Root: no
 
 Package: r-cran-dbitest
 Architecture: all

## r-cran-dbitest 1.7.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: DBItest
 Title: Testing DBI Backends
-Version: 1.7.2
-Date: 2021-12-17
+Version: 1.7.3
+Date: 2022-10-18
 Authors@R: 
     c(person(given = "Kirill",
              family = "M\u00fcller",
              role = c("aut", "cre"),
-             email = "krlmlr+r@mailbox.org",
+             email = "kirill@cynkra.com",
              comment = c(ORCID = "0000-0002-1416-3412")),
       person(given = "RStudio",
              role = "cph"),
@@ -18,7 +18,7 @@
 URL: https://dbitest.r-dbi.org, https://github.com/r-dbi/DBItest
 BugReports: https://github.com/r-dbi/DBItest/issues
 Depends: R (>= 3.2.0)
-Imports: blob (>= 1.2.0), callr, DBI (>= 1.1.1), desc, hms (>= 0.5.0),
+Imports: blob (>= 1.2.0), callr, DBI (>= 1.1.3), desc, hms (>= 0.5.0),
         lubridate, methods, palmerpenguins, R6, rlang (>= 0.2.0),
         testthat (>= 2.0.0), utils, withr, vctrs
 Suggests: clipr, dblog (>= 0.0.0.9008), debugme, devtools, knitr,
@@ -27,8 +27,9 @@
 Additional_repositories: https://r-dbi.r-universe.dev
 Encoding: UTF-8
 KeepSource: true
-RoxygenNote: 7.1.2
-Collate: 'DBItest.R' 'context.R' 'expectations.R' 'import-dbi.R'
+RoxygenNote: 7.2.1
+Collate: 'DBItest.R' 'compat-purrr.R' 'context.R' 'dbi.R' 'dummy.R'
+        'expectations.R' 'generics.R' 'import-dbi.R'
         'import-testthat.R' 'run.R' 's4.R' 'spec-getting-started.R'
         'spec-compliance-methods.R' 'spec-driver-constructor.R'
         'spec-driver-data-type.R' 'spec-connection-data-type.R'
@@ -60,11 +61,15 @@
         'test-sql.R' 'test-meta.R' 'test-transaction.R'
         'test-compliance.R' 'test-stress.R' 'tweaks.R' 'utf8.R'
         'utils.R' 'zzz.R'
+Config/autostyle/scope: line_breaks
+Config/autostyle/strict: false
+Config/testthat/edition: 3
+Config/gha/extra-packages: r-dbi/dblog
 NeedsCompilation: no
-Packaged: 2021-12-17 09:16:15 UTC; kirill
+Packaged: 2022-10-18 02:48:17 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   RStudio [cph],
   R Consortium [fnd]
-Maintainer: Kirill Müller <krlmlr+r@mailbox.org>
+Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2021-12-17 09:42:13 UTC
+Date/Publication: 2022-10-18 07:25:35 UTC

=== debian/changelog ===
r-cran-dbitest (1.7.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Oct 2022 13:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-blob (>= 1.2.0),
                r-cran-callr,
-               r-cran-dbi (>= 1.1.1),
+               r-cran-dbi (>= 1.1.3),
                r-cran-desc,
                r-cran-hms (>= 0.5.0),
                r-cran-lubridate,
@@ -19,7 +19,7 @@
                r-cran-testthat,
                r-cran-withr,
                r-cran-vctrs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
 Homepage: https://cran.r-project.org/package=DBItest

## r-cran-dbitest 1.8.0

=== DESCRIPTION ===
Package: DBItest
Title: Testing DBI Backends
Version: 1.8.0
Date: 2023-12-21
Authors@R: c(
    person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0002-1416-3412")),
    person("RStudio", role = "cph"),
    person("R Consortium", role = "fnd")
  )
Description: A helper that tests DBI back ends for conformity to the
    interface.
License: LGPL (>= 2.1)
URL: https://dbitest.r-dbi.org, https://github.com/r-dbi/DBItest
BugReports: https://github.com/r-dbi/DBItest/issues
Depends: R (>= 3.2.0)
Imports: blob (>= 1.2.0), callr, DBI (>= 1.2.0), desc, hms (>= 0.5.0),
        lubridate, magrittr, methods, nanoarrow, palmerpenguins, rlang
        (>= 0.2.0), testthat (>= 2.0.0), utils, vctrs, withr
Suggests: clipr, constructive, debugme, devtools, dplyr, knitr, lintr,
        pkgload, rmarkdown, RSQLite
VignetteBuilder: knitr
Config/autostyle/scope: line_breaks
Config/autostyle/strict: false
Config/testthat/edition: 3
Encoding: UTF-8
KeepSource: true
RoxygenNote: 7.2.3
Collate: 'DBItest.R' 'compat-purrr.R' 'context.R' 'dbi.R' 'dummy.R'
        'expectations.R' 'generics.R' 'import-dbi.R'
        'import-testthat.R' 'run.R' 's4.R' 'spec-getting-started.R'
        'spec-compliance-methods.R' 'spec-driver-constructor.R'
        'spec-driver-data-type.R' 'spec-connection-data-type.R'
        'spec-result-create-table-with-data-type.R'
        'spec-driver-connect.R' 'spec-connection-disconnect.R'
        'spec-result-send-query.R' 'spec-result-fetch.R'
        'spec-result-roundtrip.R' 'spec-result-clear-result.R'
        'spec-result-get-query.R' 'spec-result-send-statement.R'
        'spec-result-execute.R' 'spec-sql-quote-string.R'
        'spec-sql-quote-literal.R' 'spec-sql-quote-identifier.R'
        'spec-sql-unquote-identifier.R' 'spec-sql-read-table.R'
        'spec-sql-create-table.R' 'spec-sql-append-table.R'
        'spec-sql-write-table.R' 'spec-sql-list-tables.R'
        'spec-sql-exists-table.R' 'spec-sql-remove-table.R'
        'spec-sql-list-objects.R' 'spec-meta-bind-runner.R'
        'spec-meta-bind-formals.R' 'spec-meta-bind-expr.R'
        'spec-meta-bind.R' 'spec-meta-bind-arrow.R'
        'spec-meta-bind-stream.R' 'spec-meta-bind-arrow-stream.R'
        'spec-meta-bind-.R' 'spec-meta-is-valid.R'
        'spec-meta-has-completed.R' 'spec-meta-get-statement.R'
        'spec-meta-get-row-count.R' 'spec-meta-get-rows-affected.R'
        'spec-transaction-begin-commit-rollback.R'
        'spec-transaction-with-transaction.R'
        'spec-arrow-send-query-arrow.R' 'spec-arrow-fetch-arrow.R'
        'spec-arrow-fetch-arrow-chunk.R' 'spec-arrow-get-query-arrow.R'
        'spec-arrow-read-table-arrow.R'
        'spec-arrow-write-table-arrow.R'
        'spec-arrow-create-table-arrow.R'
        'spec-arrow-append-table-arrow.R' 'spec-arrow-bind.R'
        'spec-arrow-roundtrip.R' 'spec-driver-get-info.R'
        'spec-connection-get-info.R' 'spec-sql-list-fields.R'
        'spec-meta-column-info.R' 'spec-meta-get-info-result.R'
        'spec-driver.R' 'spec-connection.R' 'spec-result.R'
        'spec-sql.R' 'spec-meta.R' 'spec-arrow.R' 'spec-transaction.R'
        'spec-compliance.R' 'spec-stress-connection.R' 'spec-stress.R'
        'spec-all.R' 'spec-.R' 'test-all.R' 'test-getting-started.R'
        'test-driver.R' 'test-connection.R' 'test-result.R'
        'test-sql.R' 'test-meta.R' 'test-transaction.R' 'test-arrow.R'
        'test-compliance.R' 'test-stress.R' 'test_backend.R' 'tweaks.R'
        'utf8.R' 'utils.R' 'zzz.R'
NeedsCompilation: no
Packaged: 2023-12-21 14:14:01 UTC; kirill
Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
  RStudio [cph],
  R Consortium [fnd]
Maintainer: Kirill Müller <kirill@cynkra.com>
Repository: CRAN
Date/Publication: 2023-12-21 14:30:02 UTC

=== debian/changelog ===
r-cran-dbitest (1.8.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Build-Depends: r-cran-nanoarrow

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 08:55:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-blob (>= 1.2.0),
+               r-cran-blob,
                r-cran-callr,
-               r-cran-dbi (>= 1.1.3),
+               r-cran-dbi (>= 1.2.0),
                r-cran-desc,
-               r-cran-hms (>= 0.5.0),
+               r-cran-hms,
                r-cran-lubridate,
+               r-cran-magrittr,
+               r-cran-nanoarrow,
                r-cran-palmerpenguins,
-               r-cran-r6,
                r-cran-rlang,
                r-cran-testthat,
-               r-cran-withr,
-               r-cran-vctrs
-Standards-Version: 4.6.1
+               r-cran-vctrs,
+               r-cran-withr
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
 Homepage: https://cran.r-project.org/package=DBItest

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-clipr,
        r-cran-devtools,
        r-cran-dplyr,
        r-cran-knitr,
        r-cran-lintr,
        r-cran-pkgload,
        r-cran-rmarkdown,
        r-cran-rsqlite
Restrictions: allow-stderr

## r-cran-dbitest 1.8.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: DBItest
 Title: Testing DBI Backends
-Version: 1.8.0
-Date: 2023-12-21
+Version: 1.8.2
+Date: 2024-12-07
 Authors@R: c(
     person("Kirill", "Müller", , "kirill@cynkra.com", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0002-1416-3412")),
@@ -14,18 +14,20 @@
 URL: https://dbitest.r-dbi.org, https://github.com/r-dbi/DBItest
 BugReports: https://github.com/r-dbi/DBItest/issues
 Depends: R (>= 3.2.0)
-Imports: blob (>= 1.2.0), callr, DBI (>= 1.2.0), desc, hms (>= 0.5.0),
+Imports: blob (>= 1.2.0), callr, DBI (>= 1.2.3), desc, hms (>= 0.5.0),
         lubridate, magrittr, methods, nanoarrow, palmerpenguins, rlang
-        (>= 0.2.0), testthat (>= 2.0.0), utils, vctrs, withr
-Suggests: clipr, constructive, debugme, devtools, dplyr, knitr, lintr,
+        (>= 0.2.0), testthat (>= 2.0.0), utils, withr
+Suggests: clipr, constructive, debugme, devtools, knitr, lintr,
         pkgload, rmarkdown, RSQLite
 VignetteBuilder: knitr
+Config/Needs/website: r-dbi/dbitemplate
 Config/autostyle/scope: line_breaks
 Config/autostyle/strict: false
 Config/testthat/edition: 3
+Config/Needs/check: decor
 Encoding: UTF-8
 KeepSource: true
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2.9000
 Collate: 'DBItest.R' 'compat-purrr.R' 'context.R' 'dbi.R' 'dummy.R'
         'expectations.R' 'generics.R' 'import-dbi.R'
         'import-testthat.R' 'run.R' 's4.R' 'spec-getting-started.R'
@@ -69,10 +71,10 @@
         'test-compliance.R' 'test-stress.R' 'test_backend.R' 'tweaks.R'
         'utf8.R' 'utils.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2023-12-21 14:14:01 UTC; kirill
+Packaged: 2024-12-07 14:52:46 UTC; kirill
 Author: Kirill Müller [aut, cre] (<https://orcid.org/0000-0002-1416-3412>),
   RStudio [cph],
   R Consortium [fnd]
 Maintainer: Kirill Müller <kirill@cynkra.com>
 Repository: CRAN
-Date/Publication: 2023-12-21 14:30:02 UTC
+Date/Publication: 2024-12-07 15:10:01 UTC

=== debian/changelog ===
r-cran-dbitest (1.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 15:58:31 +0900

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-blob,
                r-cran-callr,
-               r-cran-dbi (>= 1.2.0),
+               r-cran-dbi (>= 1.2.3),
                r-cran-desc,
                r-cran-hms,
                r-cran-lubridate,
@@ -18,9 +18,8 @@
                r-cran-palmerpenguins,
                r-cran-rlang,
                r-cran-testthat,
-               r-cran-vctrs,
                r-cran-withr
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dbitest
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dbitest.git
 Homepage: https://cran.r-project.org/package=DBItest

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Depends: @,
          r-cran-clipr,
         r-cran-devtools,
-        r-cran-dplyr,
         r-cran-knitr,
         r-cran-lintr,
         r-cran-pkgload,
